Fetch a fresh access token for an OAuth model provider connection
Sidecar-only. Auth via Bearer run token. Returns the resolved access_token, its expiresAt and, when the provider surfaced one, the account_id. Refreshes the token proactively if it expires within 5 minutes.
GET
/internal/oauth-token/{credentialId}Authorization
bearerExecToken AuthorizationBearer <token>
Run token for container-to-host internal routes.
In: header
Path Parameters
credentialId*string
model_provider_credentials.id of the OAuth-backed credential.
Format
uuidcurl -X GET "https://your-instance/internal/oauth-token/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"access_token": "string",
"expiresAt": 0,
"account_id": "string"
}{
"type": "https://docs.appstrate.dev/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Invalid or missing session",
"code": "unauthorized",
"request_id": "req_abc123"
}{
"type": "https://docs.appstrate.dev/errors/forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Insufficient permissions",
"code": "forbidden",
"request_id": "req_abc123"
}{
"type": "https://docs.appstrate.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Resource not found",
"code": "not_found",
"request_id": "req_abc123"
}{
"type": "http://example.com",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"code": "string",
"request_id": "string",
"param": "string",
"retry_after": 0,
"errors": [
{
"field": "string",
"code": "string",
"message": "string",
"title": "string",
"candidate_connections": [
{
"id": "string",
"label": "string",
"account_id": "string",
"owned_by_actor": true,
"needs_reconnection": true
}
],
"connection_id": "string",
"missing_scopes": [
"string"
],
"owned_by_actor": true,
"required_scopes": [
"string"
],
"auth_key": "string",
"required_auth_key": "string",
"available_auth_keys": [
"string"
],
"connect_url": "http://example.com",
"expiresAt": "2019-08-24T14:15:22Z",
"packageId": "string"
}
]
}